Bug 21080 - patron attribute classes break patron's edit view
Summary: patron attribute classes break patron's edit view
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Bugs List
QA Contact: Katrin Fischer
URL:
Whiteboard:
Keywords:
Depends on: 7154
Blocks:
  Show dependency treegraph
 
Reported: 2018-07-16 22:45 UTC by Jonathan Druart
Modified: 2018-11-28 13:19 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21080: Fix patron's attributes display when PA_CLASS is used (2.32 KB, patch)
2018-10-29 22:25 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21080: Fix patron's attributes display when PA_CLASS is used (2.38 KB, patch)
2018-10-30 12:23 UTC, Andrew Isherwood
Details | Diff | Splinter Review
Bug 21080: Fix patron's attributes display when PA_CLASS is used (2.44 KB, patch)
2018-10-31 06:49 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2018-07-16 22:45:16 UTC
When a patron attribute class (AV PA_CLASS) is created, the patron's edit view is broken: https://screenshots.firefox.com/62uNhoUtH6rPXm9l/pro.kohadev.org

To recreate:
1. Create 1+ authorised values PA_CLASS
2. Create patron's attributes using it
3. Edit a patron
Comment 1 Jonathan Druart 2018-07-16 22:49:54 UTC
Hum, maybe it comes from local changes.
Comment 2 Liz Rea 2018-10-28 23:18:21 UTC
I've seen this too, just now.

Not sure what local change could have done it tbh.
Comment 3 Liz Rea 2018-10-28 23:18:35 UTC
Did you solve it, Jonathan?
Comment 4 Liz Rea 2018-10-29 21:37:15 UTC
I think bug 20828 broke this - the attributes fall back in line when the homebound feature is enabled.
Comment 5 Jonathan Druart 2018-10-29 21:55:16 UTC
I confirm it still exists indeed.
Comment 6 Jonathan Druart 2018-10-29 22:05:07 UTC Comment hidden (obsolete)
Comment 7 Jonathan Druart 2018-10-29 22:09:46 UTC
(In reply to Jonathan Druart from comment #0)
> To recreate:
> 1. Create 1+ authorised values PA_CLASS
> 2. Create patron's attributes using it
> 3. Edit a patron

4. Turn HouseboundModule off (!)
Comment 8 Jonathan Druart 2018-10-29 22:21:14 UTC
Ha, it does not happen 100% of the time, it depends on the order of the fieldset and the ol elements
Comment 9 Jonathan Druart 2018-10-29 22:25:33 UTC
Created attachment 81598 [details] [review]
Bug 21080: Fix patron's attributes display when PA_CLASS is used

When a patron attribute class (AV PA_CLASS) is created, the patron's
edit view is broken:
https://screenshots.firefox.com/62uNhoUtH6rPXm9l/pro.kohadev.org

To recreate:
1. Create 1+ authorised values PA_CLASS
2. Create patron's attributes using it
3. Edit a patron

it depends on the order of the fieldset and the ol elements

This is certainly not the best fix but the display does not look broken!
Comment 10 Andrew Isherwood 2018-10-30 12:23:44 UTC
Created attachment 81617 [details] [review]
Bug 21080: Fix patron's attributes display when PA_CLASS is used

When a patron attribute class (AV PA_CLASS) is created, the patron's
edit view is broken:
https://screenshots.firefox.com/62uNhoUtH6rPXm9l/pro.kohadev.org

To recreate:
1. Create 1+ authorised values PA_CLASS
2. Create patron's attributes using it
3. Edit a patron

it depends on the order of the fieldset and the ol elements

This is certainly not the best fix but the display does not look broken!

Signed-off-by: Andrew Isherwood <andrew.isherwood@ptfs-europe.com>
Comment 11 Katrin Fischer 2018-10-31 06:49:07 UTC
Created attachment 81645 [details] [review]
Bug 21080: Fix patron's attributes display when PA_CLASS is used

When a patron attribute class (AV PA_CLASS) is created, the patron's
edit view is broken:
https://screenshots.firefox.com/62uNhoUtH6rPXm9l/pro.kohadev.org

To recreate:
1. Create 1+ authorised values PA_CLASS
2. Create patron's attributes using it
3. Edit a patron

it depends on the order of the fieldset and the ol elements

This is certainly not the best fix but the display does not look broken!

Signed-off-by: Andrew Isherwood <andrew.isherwood@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 12 Katrin Fischer 2018-10-31 06:49:27 UTC
Took a little bit of playing, but see the error and confirm it's fixed!
Comment 13 Nick Clemens 2018-10-31 15:04:25 UTC
Awesome work all!

Pushed to master for 18.11
Comment 14 Martin Renvoize 2018-11-09 15:12:43 UTC
Pushed to 18.05.x for 18.05.06
Comment 15 Fridolin SOMERS 2018-11-28 13:19:07 UTC
Pushed to 17.11.x for 17.11.13